@echo off

set oldcp=%classpath%
set classpath=mtlgjpos.jar
set classpath=%classpath%;jpos110.jar
set classpath=%classpath%;xerces.jar
set classpath=%classpath%;comm.jar
set classpath=%classpath%;MetroJNIHIDWin.dll
set classpath=%classpath%;%cd%\

REM %lp% is the library path used when loading
REM java native methods

set lp=c:\windows\system32

REM ***************************************
REM *  Add Device Specific jar's here...  *
REM ***************************************

echo %classpath%

java -cp %classpath% -Djava.library.path=%lp% -agentlib:hprof=heap=sites,file=heap.txt com.metrologic.javapos.test.MetroJPosTester 

set classpath=%oldcp%
